Subject: Re: GTK/pango etc.
From: "Gerrit P. Haase" <[email-masked]>
To: Jani tiainen <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Sat, 7 Aug 2004 21:22:10 +0200

Hallo Jani,

Am Samstag, 7. August 2004 um 20:16 schriebst du:

> Ken Dibble wrote:
>> 
>> One starting point is
>> http://gladewin32.sourceforge.net/
>> 
>> They say that they have GTK+ 2.44 runtime for windows both with and
>> separate from libglade.
>> 
>> regards,
>> ken
>> 
>> Jani tiainen wrote:
>> 
>>> Is there version that is not compiled against X11 libraries (so it
>>> uses native Windows) available or do I have to compile GTK and such
>>> from source?
>>>
>>> Is there pointers where I find info about compiling non-X11 versions
>>> of GTK?
>>>

> Well, I really meant compiled under cygwin, but without X11...

It should be possible to build it, unfortunately it compiles not as
is.

To try yoursewlf, you have to define --with-gdk-target=win32 instead
of --with-gdk-target=x11.

Would be great to have it available, but I couldn't figure out how to
resolve the problems (I'm a good packager, but not a good programmer),
any help appreciated.

Just fetch the latest source package from any Cygwin mirror, modify
the buildscript and try to figure out what is wrong with the win32
gdk-target.

I'll give it another try later, maybe we can resolve the issues
together?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/